#!/bin/sh

echo "only FOR Alt Linux :)"

echo "Guangzhou Zonerich Computer Equipment Co., Ltd"
echo "ZONERICH CUPS DRIVER V1.0.1 Installer"
echo "---------------------------------------"
echo ""
echo "Models included:"

echo "                 AB-88IV"
echo "                 AB-58"
echo "                 AB-Mobile"
echo "                 AB-88H"
echo ""

ROOT_UID=0

if [ "$UID" -ne "$ROOT_UID" ]
then
    echo "This script requires root user access..."
    echo "Re-run as root user..."
    echo "use su- for root access..."
    exit 1
fi


chmod +x rastertozq
cp ./rastertozq /usr/bin/
echo ""

echo "Creating Symbolic Link...."
ln -s --target-directory=/usr/lib/cups/filter/ /usr/bin/rastertozq
echo ""

echo "Copying model ppd files... "
chmod +x AB-88IV_v1.0.0.ppd
chmod +x AB-88H_v1.0.0.ppd
chmod +x AB-58_v1.0.0.ppd

cp ./AB-88IV_v1.0.0.ppd /usr/share/cups/model/
cp ./AB-88H_v1.0.0.ppd /usr/share/cups/model/
cp ./AB-58_v1.0.0.ppd /usr/share/cups/model/

service cups stop
service cups start


echo "Install Complete"
echo "Add printer queue using OS tool, http://localhost:631, or http://127.0.0.1:631"
echo ""

